"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var router_1 = require('@angular/router');
var emi_component_1 = require('./emi.component');
exports.routes = [
    {
        path: '',
        component: emi_component_1.EMIComponent,
        children: [
            {
                path: '',
                redirectTo: 'entry',
                pathMatch: 'full'
            },
            {
                path: 'entry',
                loadChildren: 'plugins/emi/entry/entry.module#EntryModule'
            },
            {
                path: 'dashboard',
                loadChildren: 'plugins/emi/dashboard/dashboard.module#DashboardModule'
            },
            // {
            //     path: 'license',
            //     loadChildren: 'plugins/emi/license/license.module#LicenseModule'
            // },
            // {
            //     path: 'certificate',
            //     loadChildren: 'plugins/emi/certificate/certificate.module#CertificateModule'
            // },
            {
                path: 'productupdates',
                loadChildren: 'plugins/emi/productupdates/productupdates.module#ProductUpdatesModule'
            },
            {
                path: 'actions',
                loadChildren: 'plugins/emi/actions/actions.module#ActionsModule'
            },
            {
                path: 'netconfig',
                loadChildren: 'plugins/emi/netconfig/netconfig.module#NetconfigModule'
            },
            {
                path: 'settings',
                loadChildren: 'plugins/emi/emisettings/emisettings.module#EmisettingsModule'
            }
        ]
    }
];
var EMIRoutingModule = (function () {
    function EMIRoutingModule() {
    }
    EMIRoutingModule = __decorate([
        core_1.NgModule({
            imports: [
                router_1.RouterModule.forChild(exports.routes)
            ],
            exports: [
                router_1.RouterModule
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], EMIRoutingModule);
    return EMIRoutingModule;
}());
exports.EMIRoutingModule = EMIRoutingModule;
