"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var forms_1 = require('@angular/forms');
var translation_module_1 = require('../shared/translation.module');
var netconfig_routing_module_1 = require('./netconfig-routing.module');
var netconfig_component_1 = require('./components/netconfig.component');
var netconfig_service_1 = require('./services/netconfig.service');
var confirmation_module_1 = require('ng2-catalogic/confirmation.module');
var NetconfigModule = (function () {
    function NetconfigModule() {
    }
    NetconfigModule = __decorate([
        core_1.NgModule({
            imports: [
                translation_module_1.TranslationModule,
                confirmation_module_1.ConfirmationModule,
                common_1.CommonModule,
                forms_1.ReactiveFormsModule,
                netconfig_routing_module_1.NetconfigRoutingModule
            ],
            declarations: [
                netconfig_component_1.NetconfigComponent
            ],
            exports: [
                netconfig_component_1.NetconfigComponent
            ],
            providers: [
                netconfig_service_1.NetconfigService
            ]
        }), 
        __metadata('design:paramtypes', [])
    ], NetconfigModule);
    return NetconfigModule;
}());
exports.NetconfigModule = NetconfigModule;
