"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var translation_module_1 = require('../shared/translation.module');
var core_service_1 = require('ng2-catalogic/core/service/core.service');
var confirmation_module_1 = require('ng2-catalogic/confirmation.module');
var productupdates_service_1 = require('./services/productupdates.service');
var productupdates_routing_module_1 = require('./productupdates-routing.module');
var productupdates_component_1 = require('./components/productupdates.component');
var actions_module_1 = require('../actions/actions.module');
var actions_service_1 = require('../actions/services/actions.service');
var ProductUpdatesModule = (function () {
    function ProductUpdatesModule(coreService, productUpdatesService) {
        this.coreService = coreService;
        this.productUpdatesService = productUpdatesService;
        this.initListener();
    }
    ProductUpdatesModule.prototype.initListener = function () {
    };
    ProductUpdatesModule = __decorate([
        core_1.NgModule({
            imports: [
                translation_module_1.TranslationModule,
                common_1.CommonModule,
                confirmation_module_1.ConfirmationModule,
                productupdates_routing_module_1.ProductUpdatesRoutingModule,
                actions_module_1.ActionsModule
            ],
            declarations: [productupdates_component_1.ProductUpdatesComponent],
            exports: [productupdates_component_1.ProductUpdatesComponent],
            providers: [
                productupdates_service_1.ProductUpdatesService,
                actions_service_1.ActionsService
            ],
        }), 
        __metadata('design:paramtypes', [core_service_1.CoreService, productupdates_service_1.ProductUpdatesService])
    ], ProductUpdatesModule);
    return ProductUpdatesModule;
}());
exports.ProductUpdatesModule = ProductUpdatesModule;
